{{page-title @model.iconSet.name}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.iconSet.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      <div>
        <LinkTo
          @route="manage.icons.add"
          @model={{@model.iconSet.id}}
          @query={{hash c=this.category sc=this.subcategory}}
          class="btn btn-add-icon me-3"
        >
          <FaIcon @icon="plus" />
          {{capitalize (t "icon")}}
        </LinkTo>

        {{#if @model.iconSet.canEdit}}
          <LinkTo @route="manage.icons.editset" @model={{@model.iconSet.id}} class="btn btn-icon-set-edit float-end">
            <FaIcon @icon="pencil-alt" />
            {{capitalize (t "edit")}}
          </LinkTo>
        {{/if}}
      </div>
      <div class="clearfix"></div>
    </:extra>

    <:content>
      <div class="row">
        <div class="col">
          <div>
            {{#each this.categories as |category|}}
              <button
                class="btn btn-category mb-2 me-2 {{if (eq category this.category) 'btn-' 'btn-outline-'}}secondary"
                type="button"
                {{on "click" (fn this.setCategory category)}}
              >
                {{category}}
              </button>
            {{/each}}
          </div>

          <div>
            {{#each this.subcategories as |subcategory|}}
              <button
                class="btn btn-subcategory mb-2 me-2
                  {{if (eq subcategory this.subcategory) 'btn-' 'btn-outline-'}}secondary" type="button" {{on "click" (fn this.setSubcategory subcategory)}}
              >
                {{subcategory}}
              </button>
            {{/each}}
          </div>

          <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5">
            <Manage::SelectableList
              @query={{this.query}}
              @value={{this.selectedIcons}}
              @reload={{@model.reload}}
              as |icon selection onSelect|
            >
              <div class="col">
                <Manage::Card
                  class="card-dashboard-icon"
                  @selection={{selection}}
                  @onSelect={{onSelect}}
                  @record={{icon}}
                  @onDelete={{this.deleteRecord}}
                  @onClick={{fn this.browseIcon icon.id}}
                >
                  <:content>
                    <Article::FirstParagraph @contentBlocks={{icon.contentBlocks}} />
                  </:content>
                </Manage::Card>
              </div>
            </Manage::SelectableList>
          </div>
        </div>
      </div>

    </:content>
  </Manage::Container>
{{/if}}